# vim: set ft=spec: -*- spec -*-
# $Id: nas,v 1.5 2004/09/16 11:40:27 raorn Exp $

%def_disable static

Name: nas
Version: 1.6e
Release: alt1
Summary: Network Audio System - a portable, network-transparent audio system
Group: Sound
License: distributable
Url: http://radscan.com/nas.html

Packager: Sir Raorn <raorn@altlinux.ru>

Source: http://nas.codebrilliance.com/nas/%name-%version.src.tar.gz
Source1: nasd.xinit
Source2: nas-utils.menu

Patch: %name-1.6-alt-shared-libs.patch
Patch1: %name-1.6d-deb-fixes.patch

# Automatically added by buildreq on Fri May 23 2003 and checked by raorn
BuildRequires: XFree86-devel flex xpm-devel

%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

%package -n nasd
Summary: Network Audio System Daemon
Group: Sound
Conflicts: libaudio < %version-%release
Conflicts: libaudio > %version-%release

%description -n nasd
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

%package -n libaudio
Summary: Network Audio System client library
Group: Sound

%description -n libaudio
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains NAS client library.

%package -n libaudio-devel
Summary: NAS client library - development headers
Group: Development/C
Requires: libaudio = %version-%release

%description -n libaudio-devel
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains development headers for NAS client library.

%if_enabled static
%package -n libaudio-devel-static
Summary: NAS client library - static library
Group: Development/C
Requires: libaudio-devel = %version-%release

%description -n libaudio-devel-static
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains static version of NAS client library.
%endif

%package utils
Summary: Network Audio System utilites
Group: Sound
Requires: libaudio = %version-%release

%description utils
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

This package contains miscellaneous NAS client utilites.

%package examples
Summary: Network Audio System examples
Group: Sound
Requires: libaudio = %version-%release

%description examples
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

%package doc
Summary: Network Audio System documentation
Group: Books/Computer books
# Hack to have same versions of all packages
Conflicts: nasd < %version-%release
Conflicts: nasd > %version-%release
Conflicts: libaudio < %version-%release
Conflicts: libaudio > %version-%release

%description doc
The Network Audio System service is a network-transparent system
developed at Network Computing Devices for playing, recording, and
manipulating audio data over a network. It uses the client/server
model to separate application code from the software drivers
needed to control specific audio input and output devices.

%prep
%setup -q
%patch -p1
%patch1 -p1

%build
xmkmf
pushd config
%configure \
  --with-gnu-ld \
  --with-pic
popd
%make_build World

%install
%__mkdir_p %buildroot{%_sysconfdir/X11/xinit.d,%_menudir}
%make_install DESTDIR=%buildroot install
%make_install DESTDIR=%buildroot install.man
%__mv %buildroot%_sysconfdir/nas/nasd.conf.eg %buildroot%_sysconfdir/nas/nasd.conf
%__install -p -m755 %SOURCE1 %buildroot%_sysconfdir/X11/xinit.d/nasd
%__install -p -m644 %SOURCE2 %buildroot%_menudir/nas-utils

%post -n libaudio -p %post_ldconfig
%postun -n libaudio -p %postun_ldconfig

%post utils
%update_menus

%postun utils
%clean_menus

%files -n nasd
%config(noreplace) %_sysconfdir/nas/nasd.conf
%_sysconfdir/X11/xinit.d/nasd
%_x11bindir/nasd
%_x11mandir/man1/nasd.1*
%_x11mandir/man5/nasd.conf.5*

%files -n libaudio
%_x11libdir/libaudio.so.*
%_x11libdir/X11/AuErrorDB

%files -n libaudio-devel
%_x11libdir/libaudio.so
%_x11includedir/audio
%_x11mandir/man3/*

%if_enabled static
%files -n libaudio-devel-static
%_x11libdir/libaudio.a
%endif

%files utils
%_menudir/nas-utils
%_x11bindir/au*
%_x11mandir/man1/au*
%_x11mandir/man1/nas.1*

%files examples
%_x11bindir/checkmail
%_x11bindir/issndfile
%_x11bindir/playbucket
%_x11bindir/soundtoh
%_x11mandir/man1/checkmail.1*
%_x11mandir/man1/issndfile.1*
%_x11mandir/man1/playbucket.1*
%_x11mandir/man1/soundtoh.1*

%files doc
%doc BUGS CHANGES HISTORY README.CYGWIN BUILDNOTES FAQ README RELEASE TODO
%doc doc/actions doc/protocol.txt
%doc doc/*.ps doc/html doc/pdf

%changelog
* Thu Sep 16 2004 Sir Raorn <raorn@altlinux.ru> 1.6e-alt1
- [1.6e]

* Fri Mar 26 2004 Sir Raorn <raorn@altlinux.ru> 1.6c-alt1.1
- --with/--without static

* Thu Mar 25 2004 Sir Raorn <raorn@altlinux.ru> 1.6c-alt1
- [1.6c]

* Fri Jun 13 2003 Sir Raorn <raorn@altlinux.ru> 1.6-alt2
- Oops! Forgot to add nasd.xinit to filelist...

* Thu Jun 12 2003 Sir Raorn <raorn@altlinux.ru> 1.6-alt1
- Built for Sisyphus
- Patches from Debian package by Steve McIntyre <93sam AT debian DOT org>:
  * Fixed typo in Xtutil.h. Thanks to Stephen J. Turnbull. Sent upstream too.
  * Backed out the previous change - it didn't help. The real problem was
    lonking libaudio with libXau, which isn't necessary or possible on Debian.
    Removed the -lXau for the libaudio build, and all seems to work now.
  * Fix so nas build with latest version of bison.

